Ryzom - Bug # 1021

Status: Closed Priority: Low
Author: piotter Category: Build
Created: 07/15/2010 Assignee: kervala
Updated: 07/18/2010 Due date:

Subiject: nel-misc.pc install file missing ubuntu / debian linux

Description

Install the project...
-- Install configuration: "Release”
-- Installing: /usr/local/bin/nel-config
CMake Error at src/misc/cmake_install.cmake:36 (FILE):
file INSTALL cannot find file
"/home/mx/ryzom/code/nel/build/src/misc/nel-misc.pc” to install.
Call Stack (most recent call first):
src/cmake_install.cmake:37 (INCLUDE)
cmake_install.cmake:41 (INCLUDE)

Seems to be a map error

File location is /home/mx/ryzom/code/nel/build/nel-misc.pc , file is present, i think two dots are missing ..

Build following http://dev.ryzom.com/wiki/ryzom/BuildForLinuxCmake

make -j3 was succesfull

History

#1 - 07/15/2010 08:15 am - piotter

manually fixed the path for nel-misc.pc

The error is present in all cmake_install.cmake files

CMake Error at src/3d/cmake_install.cmake:36 (FILE):
file INSTALL cannot find file
"/home/mx/ryzom/code/nel/build/src/3d/nel-3d.pc" to install.
Call Stack (most recent call first):
src/cmake_install.cmake:38 (INCLUDE)
cmake_install.cmake:41 (INCLUDE)

The error is in make, the directory lookup has the error

#2 - 07/15/2010 08:25 am - piotter

piotter wrote:

Install the project...

-- Install configuration: "Release”

-- Installing: /usr/local/bin/nel-config

CMake Error at src/misc/cmake_install.cmake:36 (FILE):
file INSTALL cannot find file
http://dev.ryzom.com/wiki/ryzom/BuildForLinuxCmake

"/home/mx/ryzom/code/nel/build/src/misc/nel-misc.pc” to install.
Call Stack (most recent call first):

src/cmake_install.cmake:37 (INCLUDE)
cmake_install.cmake:41 (INCLUDE)

Seems to be a map error
File location is /home/mx/ryzom/code/nel/build/nel-misc.pc , file is present, i think two dots are missing ..

Build following http://dev.ryzom.com/wiki/ryzom/BuildForLinuxCmake

make -j3 was succesfull

On Ubuntu Karmic

#3 - 07/15/2010 08:33 am - piotter

Same error came up 13 days ago in the second part of this forum post

http://dev.ryzom.com/boards/17/topics/2761

#4 - 07/15/2010 12:10 pm - piotter

echo Get checkinstall to handle the deb packages in Synaptic

sudo apt-get install checkinstall

echo Copy the missing install files from the build directory into place
cp nel-misc.pc $HOME/ryzom/code/nel/build/src/misc/nel-misc.pc

cp nel-3d.pc $HOME/ryzom/code/nel/build/src/3d/nel-3d.pc

cp nel-georges.pc SHOME/ryzom/code/nel/build/src/georges/nel-georges.pc
cp nel-ligo.pc SHOME/ryzom/code/nel/build/src/ligo/nel-ligo.pc

cp nel-net.pc $HOME/ryzom/code/nel/build/src/net/nel-net.pc

cp nel-sound.pc $HOME/ryzom/code/nel/build/src/sound/nel-sound.pc
cp nel-pacs.pc $HOME/ryzom/code/nel/build/src/pacs/nel-pacs.pc
sudo checkinstall -y -D

echo Installer is done

#5 - 07/15/2010 12:57 pm - kervala

| can't reproduce this bug. I'm under Ubuntu 10.04 64bits. When I'm doing "make", it creates .pc files in the correct directory "build/src/<lib>/" and when
| type "make install" it finds .pc files and copy them in the correct directory "/usr/local/lib/pkgconfig"

Have all .pc files been generated in your "build/" directory ?

Please could you provide your CMake version ?

Edit: Ok, | checked and it's CMake 2.6.4

#6 - 07/15/2010 02:14 pm - piotter

Its Cmake 2.6.4 on Karmic, can't update to Lucid gives a blanc screen/nvidia error.
I"" rebuild for clean .pc locations
Is there a way to retrieve the version number from the mercurail download ? hg id -i gives a hash number (d4a723cbc5ba)

thanks

Pl

#7 - 07/15/2010 02:21 pm - kervala

- Status changed from New to Assigned

- Assignee set to kervala
- Priority changed from Urgent to Low

You can use : hg summary

#8 - 07/15/2010 02:23 pm - kervala

Please could you pull/lupdate ?

| think it should be fixed now (but I'm not sure).

#9 - 07/15/2010 03:42 pm - piotter

Your update worked, builds with checkinstall without patching. Thanks

The command to find the mercurial version is hg tip -vp

[CLOSED]

Cheers

Pi

#10 - 07/15/2010 04:08 pm - kervala

- Status changed from Assigned to Resolved

- Target version set to Version 0.8.0
- % Done changed from 0 to 100

Thanks a lot :)

#11 - 07/15/2010 04:42 pm - kervala

- Category changed from OS: GNU/Linux to Build

#12 - 07/18/2010 10:16 am - kervala
- Status changed from Resolved to Closed
